#
# spec file for package python-imbox
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-imbox
Version:        0.9.7
Release:        bp156.3.1
Summary:        Python IMAP for Human beings
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/martinrusev/imbox
Source:         https://files.pythonhosted.org/packages/source/i/imbox/imbox-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
Python library for reading IMAP mailboxes and converting email content to machine readable data

%prep
%setup -q -n imbox-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sun May  3 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.9.7:
  - Gmail: IMAP extension searches label and raw are not supported.
  - Searches in mail bodies and UID ranges are now supported.
  - Attachments have a Content-ID now (#174)
* Sun Aug 26 2018 sebix+novell.com@sebix.at
- update to 0.9.6:
  * Vendors package, adding provider specific functionality ([#139](https://github.com/martinrusev/imbox/pull/139)) -  Contributed by @zevaverbach
  * Type hints for every method and function ([#136](https://github.com/martinrusev/imbox/pull/136)) -  Contributed by @zevaverbach
  * Move all code out of __init__.py and into a separate module ([#130](https://github.com/martinrusev/imbox/pull/130)) - Contributed by @zevaverbach
  * Enhance `messages' generator: ([#129](https://github.com/martinrusev/imbox/pull/129)) - Contributed by @zevaverbach
* Tue Dec  5 2017 sebix+novell.com@sebix.at
- update to 0.9.5:
  * date__on support (#109)
  * Starttls support (#108)
  * Mark emails as flagged/starred (#107)
  * Messages filter can use date objects instead of stringified dates (#104)
  * Fix attachment parsing when a semicolon character ends the Content-Disposition line (#100)
  * Parsing - UnicecodeDecodeError() fixes (#96)
  * Imbox() with support (#92)
* Mon Sep 18 2017 sebix+novell.com@sebix.at
- update to 0.9
  * Permissively Decode Emails: (#78)
  * "With" statement for automatic cleanup/logout (#92)
- update to 0.8.6
  * Add support for Python 3.3+ Parsing policies: (#75)
  * Remove support for Python 2.7
* Wed Apr 12 2017 sebix+novell.com@sebix.at
- convert to singlespec
* Sat Jul 30 2016 sebix+novell.com@sebix.at
- Changes in 0.8.5 (9 June 2016)
  ssl_context: Check SSLContext for IMAP4_SSL connections (issue #69)
